Creates a trip.

Creates a trip with at least one leg, one mission and one action:

  • A leg requires at least one driver or asset.

Trip limitations:

  • Maximum 5 legs per trip.

  • The full trip allows a maximum 100 missions.

  • The full trip allows a maximum 250 actions.

  • The full trip allows a maximum 200 orders.

  • The full trip allows a maximum 500 cargo load carriers.

📘

The rate limit for this API is large.

Body Params
string
length ≤ 100
Defaults to My Trip

Represents the name of this trip.

cargoLoadCarrierIds
array of uuids
length between 0 and 5

Represents the load carriers used in this trip.

cargoLoadCarrierIds
string | null

Represents the external ID of this trip.

legs
array of objects
length between 1 and 5

A list of legs that must be executed within this trip.

legs
string
length ≤ 100

Represents the name of this leg.

uuid | null

The assetId refers to the truck being driven on the leg. NOTE: You must define at least one truck or one driver per leg.

uuid | null

The driverId refers to the driver driving the leg. NOTE: You must define at least one driver or one truck per leg.

string | null

Provides additional details added for the driver.

string | null

Represents the external ID of this leg.

appLinks
array of objects
length ≤ 10
missions
array of objects
length between 1 and 100

Represents a leg's missions.

missions
string
length ≤ 100

Represents the name of this mission.

string | null

Provides additional details added for the driver.

date-time | null

Execution time is optional. We'll set it to the current time if it's not filled in.

uuid | null

Represents the ID of the place where this mission should be executed. Either a Place or a PlaceId must be provided.

uuid | null

Represents the optional route that a driver has to take to get to his destination.

place
object

These fields are optional so nullable, They're either excluded or set to null.

string | null

Represents the external ID of this mission.

appLinks
array of objects
length ≤ 10
actions
array of objects
length between 1 and 250

A list of actions that must be executed within this mission.

actions
string | null

Provides additional details added for the driver.

uuid
required

Represents the ID of the activity definition that should be executed.

workflowConfiguration
object | null

Represents the workflow configuration for this order. By using this you can pre-set some values for the drivers workflow.

string | null

Represents the external ID of this action.

appLinks
array of objects
length ≤ 10
orders
array of objects | null

Represents the orders that are part of this action.

orders
Responses

401

Failure code. Unauthorized access.

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json